%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/geoffgarside/ber
Version:                1.1.0

%gometa

%global common_description %{expand:
Fork of golang pkg `encoding/asn1` to support the Basic Encoding Rules.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Fork of golang pkg `encoding/asn1` to support the Basic Encoding Rules

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-2
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
